Gtk2::SourceView2::StyleScheme(3)

NAME
Gtk2::SourceView2::StyleScheme

HIERARCHY
  Glib::Object
  +----Gtk2::SourceView2::StyleScheme

METHODS

  list = $style->get_authors

  string or undef = $style->get_description

  string or undef = $style->get_filename

  string = $style->get_id

  string = $style->get_name

  style or undef = $style->get_style ($style_id)

•   $style_id (string)

PROPERTIES

'description' (string : default undef : readable)
    Style scheme description

'filename' (string : default undef : readable)
    Style scheme filename

'id' (string : default undef : readable / writable / construct-only)
    Style scheme id

'name' (string : default undef : readable)
    Style scheme name

SEE ALSO
Gtk2::SourceView2, Glib::Object

COPYRIGHT
Copyright (C) 2009 by Emmanuel Rodriguez